package com.freiheit.hibernate.beans;

import java.io.Serializable;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;


public class Bank implements Serializable {

    private Integer _id;
    private String _name;
    private String _bankCode;

    public Bank() {
    }

    public Bank( int id ) {
        _id = new Integer( id );
    }

    // ---- bean methods -------------------------------------------------------

    public Integer getId() {
        return _id;
    }
    public void setId(Integer id) {
        _id = id;
    }

    public java.lang.String getName() {
        return _name;
    }
    public void setName(java.lang.String name) {
        _name = name;
    }

    public java.lang.String getBankCode() {
        return _bankCode;
    }
    public void setBankCode(java.lang.String bankCode) {
        _bankCode = bankCode;
    }

    // --- standard object methods ---------------------------------------------

    public String toString() {
        return ToStringBuilder.reflectionToString( this, ToStringStyle.SIMPLE_STYLE );
    }

    public boolean equals(Object other) {
        if ( !(other instanceof Bank) ) return false;
        Bank castOther = (Bank) other;
        return new EqualsBuilder()
            .append(_id, castOther._id)
            .isEquals();
    }

    public int hashCode() {
        return new HashCodeBuilder()
            .append(_id)
            .toHashCode();
    }

}
