package com.freiheit.hibernate.beans;

import java.io.Serializable;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;


/** @author Hibernate CodeGenerator */
public class Country implements Serializable {

    private Integer _id;
    private String _name;
    private String _isoCode;

    public Country() {
    }

    public Country( int id ) {
        _id = new Integer( id );
    }

    // ---- bean methods -------------------------------------------------------

    public Integer getId() {
        return _id;
    }
    public void setId(Integer id) {
        _id = id;
    }

    public String getName() {
        return _name;
    }
    public void setName(String name) {
        _name = name;
    }

    public String getIsoCode() {
        return _isoCode;
    }
    public void setIsoCode(String isoCode) {
        _isoCode = isoCode;
    }

    // ---- standard object methods --------------------------------------------

    public String toString() {
        return ToStringBuilder.reflectionToString( this, ToStringStyle.SIMPLE_STYLE );
    }

    public boolean equals(Object other) {
        if ( !(other instanceof Country) ) return false;
        Country castOther = (Country) other;
        return new EqualsBuilder()
            .append(_id, castOther._id)
            .isEquals();
    }

    public int hashCode() {
        return new HashCodeBuilder()
            .append(_id)
            .toHashCode();
    }

}
